{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function relational_call, start_window, msg, entid, repository\r\ndeclare function key_sort, send_event, rowexists, popup\r\ndeclare subroutine make.list, rlist\r\n\r\n$insert logical\r\n$insert msg_equates\r\n$insert quote_equ\r\n$insert popup_equates\r\n$insert rlist_equates\r\n$INSERT TOOL_CLASS_EQUATES\r\n\r\nSelpos    = .pre_epi_sig_info->selpos\r\nCurArray  = .pre_epi_sig_info->array\r\n\r\nColumn = SelPos<1>\r\nRow    = SelPos<2>\r\n\r\nBEGIN CASE\r\n\tCASE Column = 1 \r\n    \r\n\t\tToolKeys\t\t= XLATE('TOOL_CLASS','AKRION',TOOL_CLASS_TOOL$,'X')\r\n\t\tToolKeys<1,-1>\t= XLATE('TOOL_CLASS','WET BENCH',TOOL_CLASS_TOOL$,'X')\r\n\r\n\t\tTypeOver = ''\r\n\t\tTypeOver<PMODE$> = 'K'\r\n\t\tTypeOver<PDISPLAY$> = ToolKeys\r\n\r\n\t\tToolID = Popup(@WINDOW,TypeOver,'TOOLS')   \r\n\t\t                               \r\n\t\tReturnValue = ToolID                          \r\n\t\t                                                                                                                              \r\n    CASE Column = 2\r\n\t\tReturnValue = Popup(@WINDOW,'','PRECLEANCASSID')\r\n\t\t\r\n    CASE Column = 3\r\n\t\tReturnValue = Popup(@WINDOW,'','PRECLEANSRD')\r\n\t\t\r\n\tCASE Column = 4\r\n\t    * SHOW USERS POPUP AND RETURN   \r\n        rlist( 'SELECT LSL_USERS WITH ACTIVE BY LAST_FIRST', target_activelist$, '', '', '' )             \r\n        PopRec = xlate( 'SYSREPOSPOPUPS', @appid<1>:'**':'SHOW_USERS', '', 'X' )\r\n        PopRec<pselect$> = 1\r\n        Choice = popup( @window, PopRec ) \r\n        if Choice then\r\n           CurArray<Column,Row> = Choice\r\n           CurArray<Column+1,Row> = xlate( 'LSL_USERS', Choice, 'FIRST_LAST', 'X' )\r\n           .pre_epi_sig_info->array = CurArray\r\n        end\r\n        return 0\r\n    case otherwise$\r\n        return 1\r\n        \r\nEND CASE\r\n\r\nIF ReturnValue <> '' THEN\r\n   CurArray<Column,Row> = ReturnValue\r\n   .pre_epi_sig_info->array = CurArray\r\nEND\r\n\r\nreturn 0\r\n*===========================================================================*"
        }
    }
}